<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Component Vue js</title>
</head>
<body>

    <div id="app">

        <hello-world></hello-world>


    </div>

    <template id="hello-dunia">
        <div>
   
        <h1>Hello Dunia</h1>
        <p>Saya sedang belajar IT dengan framework Vue Js</p>
        
       <component-a></component-a>

        
        <component-satu></component-satu>
        <component-dua></component-dua>
        <component-tiga></component-tiga>
        </div>
    </template>

    <template id="component-satu">
      
            <h3>ini Component satu</h3>
            
      
    </template >

    <template id="component-dua">
      
            <h3>ini Component dua</h3>
            
    
    </template>

    <template id="component-tiga">
      
            <h3>ini Component tiga</h3>
            
        
    </template>
    <div id="app1">
        <component-a></component-a>

    </div>




    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"> </script>
    

    <!-- <script type="text/template" id="hello-dunia">
        <div>
        <h2>Hello Dunia</h2>
        <p>ini dunia IT</p>
    </div> -->


    </script>

    <script>

        var componentA={

            template:"<p>Hello World component A</p>"

        }


        Vue.component('hello-world',{
            template:'#hello-dunia'
        });

        Vue.component("component-satu",{
            template:'#component-satu'
        })
        Vue.component("component-dua",{
            template:'#component-dua'
        })
        Vue.component("component-tiga",{
            template:'#component-tiga'
        })

        new Vue({
            el:"#app1",
            components:{

'component-a':componentA
}

            
        })

        var vm= new Vue({
            el:'#app',
           

        })
    </script>
    
</body>
</html>